CHGRP(1)

NOM
chgrp - Changer le groupe propriétaire d'un fichier

SYNOPSIS
chgrp [OPTION]... GROUPE FICHIER...
chgrp [OPTION]... --reference=FICHIER-R FICHIER...

DESCRIPTION

Changer le groupe d'appartenance de chaque FICHIER en GROUPE. Avec l'option --reference, modifier le groupe de chaque fichier en celui de FICHIER-R.

-c, --changes
    utiliser le mode bavard en ne signalant que les modifications

-f, --silent, --quiet
    supprimer la plupart des messages d'erreur

-v, --verbose
    afficher un diagnostic pour chaque fichier traité

--dereference
    affecter la cible de chaque lien symbolique (comportement par défaut) plutôt que le lien symbolique lui-même

-h, --no-dereference
    modifier les liens symboliques au lieu des fichiers référencés (utile seulement sur les systèmes permettant de changer le propriétaire d'un lien symbolique)

--no-preserve-root
    ne pas traiter « / » de manière spéciale (par défaut)

--preserve-root
    ne pas opérer récursivement sur « / »

--reference=FICHIER-R
    utiliser le groupe du FICHIER-R plutôt que d'indiquer le nom du groupe

-R, --recursive
    modifier récursivement fichiers et répertoires

Les options suivantes modifient la façon dont est parcourue la hiérarchie lorsque l'option -R est également spécifiée. Si plus d'une option est spécifiée, seule la dernière est prise en compte.

-H  si un paramètre de la ligne de commande est un lien symbolique vers un répertoire, le parcourir

-L  parcourir chaque lien symbolique rencontré menant à un répertoire

-P  ne parcourir aucun lien symbolique (par défaut)

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

EXEMPLES

chgrp staff /u
    attribue /u au groupe « staff ».

chgrp -hR staff /u
    attribue /u et ses sous-fichiers et sous-répertoires au groupe « staff ».

AUTEUR
Écrit par David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Signaler toute anomalie de chgrp à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de chgrp à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour chgrp est disponible dans un manuel Texinfo. Si les programmes info et chgrp sont correctement installés sur votre système, la commande

    info coreutils 'chgrp invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Julien Cristau <julien.cristau@ens-lyon.org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.